﻿@using BookStore.ViewModels
@model BookGenreViewModel
@{
    ViewBag.Title = "Create";
}

<h2>Create new book</h2>
<hr />

<form method="post" action="/Book/Create">
    <div class="form-horizontal">
        <label>Book Name:&nbsp</label><input type="text" name="Book.Name" placeholder="book name" />
        <label>Book Price:&nbsp</label><input type="text" name="Book.Price" placeholder="book price" />
        <label>Book Genre:&nbsp</label>
        <select name="SelectedGenreId">
            @foreach (var item in Model.Genres)
            {
                <option value="@item.Id">@item.Name</option>
            }
        </select>
        <input type="hidden" name="Book.Deleted" value="false" />
        <input type="submit" value="Create" />
    </div>
</form>

<div class="center">
    @Html.ActionLink("Back to List", "Index")
</div>